Update group
curl --request PATCH \
--url https://staging.api.us.aptlydone.com/settings/v1/groups/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"groupName": "Engineering Team",
"displayName": "Engineering Team",
"isDeleted": false,
"addParentGroupIds": [
"uuid",
"uuid"
],
"removeParentGroupIds": [
"uuid",
"uuid"
],
"legalName": "Engineering Department LLC",
"address": {
"street1": "123 Main Street",
"street2": "Suite 100",
"city": "New York",
"state": "New York",
"stateCode": "NY",
"zipCode": "10001",
"country": "United States",
"countryCode": "US"
}
}
'import requests
url = "https://staging.api.us.aptlydone.com/settings/v1/groups/{id}"
payload = {
"groupName": "Engineering Team",
"displayName": "Engineering Team",
"isDeleted": False,
"addParentGroupIds": ["uuid", "uuid"],
"removeParentGroupIds": ["uuid", "uuid"],
"legalName": "Engineering Department LLC",
"address": {
"street1": "123 Main Street",
"street2": "Suite 100",
"city": "New York",
"state": "New York",
"stateCode": "NY",
"zipCode": "10001",
"country": "United States",
"countryCode": "US"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
groupName: 'Engineering Team',
displayName: 'Engineering Team',
isDeleted: false,
addParentGroupIds: ['uuid', 'uuid'],
removeParentGroupIds: ['uuid', 'uuid'],
legalName: 'Engineering Department LLC',
address: {
street1: '123 Main Street',
street2: 'Suite 100',
city: 'New York',
state: 'New York',
stateCode: 'NY',
zipCode: '10001',
country: 'United States',
countryCode: 'US'
}
})
};
fetch('https://staging.api.us.aptlydone.com/settings/v1/groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:20.711Z",
"message": "Success",
"data": {
"id": "3de3ba12-fe6e-4242-b2c2-57aa17d2b959",
"tenantId": "9409925f-e386-428d-b82d-bc96fc7d785e",
"groupId": "drDwrQ",
"groupName": "Engineering Team",
"createdOn": "2023-01-01T12:00:00Z",
"updatedOn": "2023-01-15T12:00:00Z",
"isSynced": false,
"tenantGroupType": {
"id": "6e606506-4c84-49a9-8abe-ce46d5b44e70",
"groupTypeName": "Department",
"shouldAllowEnableDisable": true,
"isDefault": false
},
"isDeleted": false,
"disableOption": "NA",
"baseCurrency": "",
"displayName": "Engineering Department",
"legalName": "Engineering Department LLC",
"externalId": "EXT-GROUP-12345",
"instanceId": "02198055-706d-417d-9573-d376ced5c6f6",
"address": {
"id": "f2dfca59-4d8d-4636-a73b-41e97b3ba548",
"groupId": "1cbaa43f-c81c-45e9-a0c4-31b632d0502b",
"street1": "123 Main Street",
"city": "New York",
"state": "New York",
"zipCode": "10001",
"country": "United States",
"createdOn": "2023-01-01T12:00:00Z",
"updatedOn": "2023-01-15T12:00:00Z",
"street2": "Suite 100",
"stateCode": "NY",
"countryCode": "US"
},
"parentGroups": [
{
"id": "f8e83c38-c408-46d0-8e10-a3bc01073a28",
"parentId": "f3babb40-7bfa-4fc0-9942-4af717f25701",
"createdAt": "2024-01-01T00:00:00.000Z",
"parentGroup": {
"id": "e9db3b7c-e5cd-4ff4-9d6d-a6528ec04aa1",
"tenantId": "56cdb45f-cd19-4be3-963c-2b4b4eb4529e",
"groupId": "10000",
"groupName": "Engineering Team",
"displayName": "Engineering Team",
"legalName": "Engineering Team",
"tenantGroupType": {
"id": "6414c9b4-72f9-4788-99da-976747a10992",
"groupTypeName": "Department"
}
}
}
],
"decisionsCount": 25,
"delegationsCount": 25
}
}Groups
Update group
PATCH
/
v1
/
groups
/
{id}
Update group
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Group Name
Maximum string length:
100Example:
"Engineering Team"
Display Name
Maximum string length:
100Example:
"Engineering Team"
Status
Available options:
ACTIVE, INACTIVE Is Deleted
Example:
false
Parent group ids to add
Example:
["uuid", "uuid"]
Parent group ids to remove
Example:
["uuid", "uuid"]
Disable option
Available options:
KEEP_ASSOCIATIONS, REMOVE_ASSOCIATIONS, NA Legal Name
Maximum string length:
100Example:
"Engineering Department LLC"
Group Address
Show child attributes
Show child attributes
Was this page helpful?
⌘I